terraform {
  required_providers {
    aws = {
      source  = "hashicorp/aws"
      version = "5.35.0"
    }
  }

  backend "s3" {
    bucket         = "postgres-check-terraform"
    key            = "postgres-check-api/terraform.tfstate"
    region         = "eu-west-1"
    encrypt        = true
    dynamodb_table = "postgres-check-terraform-locks"
  }
}

provider "aws" {
  region = "eu-west-1"
}


