import { Account } from '../../generated/postgres-check-api/model';

export class AccountService {
  constructor(
    private accounts: Account[] = [
      {
        email: 'gerard@syndeo.cx',
        apiKey:
          'a76d7e8c-3ded-4aa8-b5f7-7400d9ab934c-c33e3b56-d122-4fe3-881a-e99b2706c153',
      },
    ],
  ) {}

  async getAccount(apiKey: string): Promise<Account | undefined> {
    try {
      console.log('Getting account');
      const account = this.accounts.find((x) => x.apiKey === apiKey);
      console.log('Got account', account);
      return account;
    } catch (error) {
      console.error('Getting checks failed', error);
    }
  }
}
